/**
 * @brief The AVR Timer module
 * @details This file is used to interact with the hardware timers.
 * @author Jake G
 * @date 2024
 * @copyright None
 * @file TIMER.h
 */

#ifndef TIMER
#define TIMER

#include "stdbool.h"
#include "inttypes.h"

/**
 *
 * @param a The first argument
 */


void Timer_Start(void);

void Timer_Disable(void);

uint16_t Timer_GetOverflowCount(void);

#endif // TIMER
